Clipform

List form submissions

Returns all submissions for a form, including contact info, status, timestamps, and per-node responses with media URLs and transcription data.

GET
/forms/{formId}/submissions

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

formId
Required
string
Format: "uuid"

Query Parameters

submission_idstring

Filter to a single submission

Format: "uuid"
curl -X GET "https://api.clipform.io/v1/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08/submissions?submission_id=497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>"

List of submissions

[
  {
    "response_set_id": "ac7eb6e9-464b-41e0-94db-4108c750c04e",
    "status": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "completed_at": "2019-08-24T14:15:22Z",
    "total_sessions": 0,
    "total_responses": 0,
    "contact_email": "string",
    "contact_first_name": "string",
    "contact_last_name": "string",
    "node_responses": {}
  }
]